import { OnInit, OnDestroy } from '@angular/core';
import { ToastrService } from 'ngx-toastr';
import { AddCreditService } from './add-credit.service';
import { HyperCookieService } from 'hyper-jobs-services';
export declare class AddCreditComponent implements OnInit, OnDestroy {
    private _AddCreditService;
    private _toastrService;
    private _hyperCookieService;
    payment_method: string;
    coin: string;
    amount: string;
    nameCard: string;
    months: string;
    year: string;
    numberCVV: string;
    requiredError: any;
    private cookieVal;
    urlAssets: string;
    private refLogin;
    cardMask: (string | RegExp)[];
    MoneyMask: {
        prefix: string;
        thousands: string;
        decimal: string;
        align: string;
    };
    constructor(_AddCreditService: AddCreditService, _toastrService: ToastrService, _hyperCookieService: HyperCookieService);
    ngOnInit(): void;
    sendPay(form: any): void;
    serviceInsert(form: any): void;
    ngOnDestroy(): void;
}
